Subject: Re: [PATCH 1/6] doc: stripspace: mention where the default comes from

From: Junio C Hamano <[email-masked]>
Date: Tue, 20 May 2025 12:06:17 -0700

[email-masked] writes:

> From: Kristoffer Haugsbakk <[email-masked]>
>
> Also quote `#` in line with the modern formatting convention.
>
> Signed-off-by: Kristoffer Haugsbakk <[email-masked]>
> ---
>
> Notes (series):
>     “modern formatting convention”
>     
>     It looks like characters are quoted with backticks in the commits I’ve
>     seen by Jean-Noël Avila lately.
>
>  Documentation/git-stripspace.adoc | 3 ++-
>  1 file changed, 2 insertions(+), 1 deletion(-)
>
> diff --git a/Documentation/git-stripspace.adoc b/Documentation/git-stripspace.adoc
> index a293327581a..1132a4cf9a9 100644
> --- a/Documentation/git-stripspace.adoc
> +++ b/Documentation/git-stripspace.adoc
> @@ -37,7 +37,8 @@ OPTIONS
>  -------
>  -s::
>  --strip-comments::
> -	Skip and remove all lines starting with a comment character (default '#').
> +	Skip and remove all lines starting with a comment character (default `#`).
> +	See `core.commentChar` in linkgit:git-config[1].

I've seen this kind of thing treat the configuration as the first
level default, with the hardcoded value as a fallback, i.e. spelling
it more like this:

    ... a comment character.  Defaults to `core.commentChar`, which
    in turn defaults to `#`.

The way you phrased is syntactically easier to parse, but to some
readers, the readon why they are encouraged to learn about the
`core.commentChar` configuration may not be immediately obvious, so
I dunno.

Thanks.